Description

It would be nice to have a short (<140 characters) title and a compulsory description, with the possibility to hit a 'more details' button in the

plugin manager and see a paragraph.

The description should be added to the plugin's page.

The author should be notified with a message "Please add a description of your plugin, explaining its usage".

History

#1 - 2012-03-26 11:30 PM - Paolo Cavallini

- Subject changed from Make it compulsory a description to Make a plugin description compulsory

#2 - 2012-03-27 10:02 AM - Gary Sherman

- Assignee set to Alessandro Pasotti

#3 - 2012-03-27 10:09 AM - Alessandro Pasotti

- Status changed from Open to Feedback

Either I dont' understand or this is exactly how it is already (now): "description" field is required, mandatory (compulsory?) and is shown on the plugin page.

By clicking on  "toggle descriptions" the user sees the longer description.

The only missing piece is a check for title length not exceeding the twitter length, now the maximum limit for the plugin title is 256.

#4 - 2012-03-28 01:43 AM - Paolo Cavallini

- Subject changed from Make a plugin description compulsory to Add an About field, and make it mandatory

#5 - 2012-03-29 09:25 AM - Gary Sherman

The problem is the "short" description does not provide enough information for a user to determine exactly what the plugin does. This information is needed

so a decision can be made to install or not. A file  included in the plugin package (mailing list has some discussion) that contains such information and that

could be displayed both on this site and within the installer would help greatly.

#6 - 2014-03-25 12:54 PM - Borys Jurgiel

Please note the plugin installer actually accepts two tags:

description - displayed with a bigger bold font. It is meant to contain one-sentence answer for the question: "what the plugin does"

about - displayed with a normal paragraph font. This one is meant to contain a longer description how the plugin works and how to use it. For example, an

author can put there a short info what menu the plugin is localized in.
I believe we were discussing it in Brighton and then we forgot about it.

#7 - 2014-03-25 01:09 PM - Alessandro Pasotti

Can anybody attach here a plugin with "about" metadata filled to test?

#8 - 2014-03-25 01:54 PM - Borys Jurgiel

I've uploaded the NewMemoryLayer v0.4.3: http://plugins.qgis.org/plugins/NewMemoryLayer/version/0.4.3

The tags there are localized, but it's a different story.

#9 - 2014-03-28 06:53 AM - Alessandro Pasotti

- Status changed from Feedback to Closed
